Перейти к публикации
SHAMAN4ik

DataLife Engine Проблема

Рекомендованные сообщения

SHAMAN4ik

Всем здрасте у меня такая проблема установил DLE 9.4, и сразу появились две ошибки:

 

 

Внимание ошибка безопасности:

Ваш сервер не отвечает минимальным требованиям безопасности, на сервере включена директива register_globals, для отключения данной директивы обратитесь к вашему хостинг провайдеру.

 

 

Внимание:

На вашем сервере обнаружены устаревшие настройки в php.ini, а именно включен magic_quotes_gpc, данная настройка является не рекомендуемой при использовании DataLife Engine. Обратитесь к вашему хостинг провайдеру для отключения данной настройки в настройках сервера.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Nack

В php.ini (если у тебя есть возможность редактровать этот файл, а если нет, то попроси сделать это хостера) проверь, чтобы register_globals был отключен:

register_globals = Off

И magic_quotes_gpc тоже отключи вот так:

magic_quotes_gpc = Off
Изменено пользователем Nack

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
ga-mpk

Как и сказал ув. Nack, поищи эти настройки в файле php.ini

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Nack

Как и сказал ув. Nack, поищи эти настройки в файле php.ini

 

Так я написал же ;)

 

@SHAMAN4ik, у тебя хост ihc.ru?

Изменено пользователем Nack

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
ga-mpk

Так я написал же ;)

 

Так я подтвердил :(

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
TheAndrey

Какая панель управления? Если ИСП, ссылка 'Настройки PHP' есть?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Nack

Какая панель управления? Если ИСП, ссылка 'Настройки PHP' есть?

 

Да у него походу ihc, потому что мне тоже пришлось с php.ini ковыряться... :/ Интересно, у ТС нормально файлы на сервер загружаются?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
TheAndrey

И на хостинге с испом тоже есть php.ini

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Nack
, Да, я знаю, но я не про это... В ihc есть проблемы с безопасностью (включены директивы в php.ini - register_globals и magic_quotes_gpc, вдобавок не загружаются файлы на сервер, мне пришлось втыкать в php.ini вот это:
upload_max_filesize =  5M
)... Изменено пользователем Nack

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
TheAndrey

В ihc есть проблемы с безопасностью

Ты даже не представляешь какие...

Можно shell комманды выполнять и смотреть, что в корне сервера лежит...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
alex_xpert

В ihc есть проблемы с безопасностью

Ты даже не представляешь какие...

Можно shell комманды выполнять и смотреть, что в корне сервера лежит...

 

Прямо говнохост какой-то...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Гость
Эта тема закрыта для публикации сообщений.

×
×
  • Создать...